<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container">

    <div class="row">
        <h2>Add New Curve Point</h2>
    </div>

    <div class="form-group w-25">
        <form action="#" th:action="@{/curvePoint/validate}" th:object="${curvePoint}" method="post"
              class="form-horizontal" style="width: 100%">
            <input type="hidden" th:field="*{id}"/>
            <div class="form-group mb-4">
                <label for="curveid">Curve id</label>
                <input type="number" th:field="*{curveId}" class="form-control col-4 col-xs-3"
                       placeholder="Curve id" name="curveid" id="curveid">
                <div class="text-danger" th:if="${#fields.hasErrors('curveId')}"
                     th:errors="*{curveId}">Wrong curve id
                </div>
            </div>
            <div class="form-group mb-4">
                <label for="term">Term</label>
                <input type="number" step="0.01" th:field="*{term}" class="form-control col-4" placeholder="Term"
                       name="term" id="term">
                <div class="text-danger" th:if="${#fields.hasErrors('term')}"
                     th:errors="*{term}">Wrong term
                </div>
            </div>
            <div class="form-group mb-4">
                <label for="value">Value</label>
                <input type="number" step="0.01" th:field="*{value}" class="form-control col-4" placeholder="Value"
                       name="value" id="value">
                <div class="text-danger" th:if="${#fields.hasErrors('value')}"
                     th:errors="*{value}">Wrong value
                </div>
            </div>
            <button type="submit" class="btn btn-primary">Save</button>
            <a class="btn btn-danger" th:href="@{/curvePoint/list}">Cancel</a>

        </form>
    </div>

</div>
</body>
</html>